<!--#include file="../Include/Conn.jsp" -->
<!--#include file="../Include/const.jsp" -->
<!--#include file="../Include/char.jsp" -->
<!--#include file="IsLogin.jsp" -->
<%
f_id=request("id")
 if f_id="" or IsNumeric(f_id)=false then
 Call Msgbox("对不起，ID号错误！",1)
 Response.end
 end if
 m_ID = Request.Cookies("aspxnet")("CurUserID")
 m_username= Request.Cookies("aspxnet")("CurUsername")

set rs_a=server.createobject("adodb.recordset")
sql_a="select * from t_club where F_id="&f_id
rs_a.open sql_a,conn,1,3

if rs_a.eof then
 Call Msgbox("对不起，该小圈子已经不存在！",1)
 Response.end
end if
'判别身份，是否有权限发布活动
set rs_user=server.createobject("adodb.recordset")
sql_user="select f_ischeck,f_identity,f_grade from t_club_member where F_club_id="&f_id&" and f_username='"&m_username&"'"
rs_user.open sql_user,conn
if rs_user.eof and rs_user.bof then
 Call Msgbox("对不起,您还未加入本小圈子！",1)
 Response.end
 else
 if rs_user("f_ischeck")=false then
 Call Msgbox("对不起,您还未通过审核加入本小圈子，请耐心等待！",1)
 Response.end
 end if
end if
if rs_user("f_identity")="初级会员" then    '初级会员无权上传照片
 Call Msgbox("对不起,您是本小圈子部[初级会员]暂无发布活动权限！",1)
 Response.end
end if
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml"><HEAD><TITLE><%=rs_a("f_name")%>-小圈子</TITLE>
<META http-equiv=Content-Type content="text/html; charset=gb2312"><LINK 
href="css/my_index.css" type=text/css rel=stylesheet>
<SCRIPT>
<!--
function SenFe_Code(sname,sid)
{
	if(sid.style.display=="block")
	{
		sid.style.display="none";
		sname.innerText="＋管理";
	}
	else
	{
	sid.style.display="block";
	sname.innerText="－管理";
	}
}
-->
</SCRIPT>

<script language=Javascript>
<!--
function formsub(i){
if (i==1){
if (confirm('确定删除活动信息！')==1){
   Del.action="club_meetdel.jsp";
   Del.submit();
}
}
if (i==2){
	if (confirm('确定审核通过本活动！')==1){
	Del.action="club_meetflag.jsp";
    Del.submit();
	}
}
}
//-->
</script>
<SCRIPT language=javascript>

function formCheck()
{

	

	if (document.theform.name.value == "")
	{
		alert("请输入活动名称！")
		document.theform.name.focus()
		return false
	}
	
	
	if (document.theform.area.value == "")
	{
		alert("请选择地区！")
		document.theform.area.focus()
		return false
	}
	
	if (document.theform.address.value == "")
	{
		alert("请输入活动地点！")
		document.theform.address.focus()
		return false
	}

   if (document.theform.count.value == "")
	{
		alert("请输入限止人数！")
		document.theform.count.focus()
		return false
	}

	if (document.theform.price.value == "")
	{
		alert("请填写收费方式！")
		document.theform.price.focus()
		return false
	}
	
	if (document.theform.content.value == "")
	{
		alert("请填写具体说明！")
		document.theform.content.focus()
		return false
	}
	
	

return true;
}
</SCRIPT>

<SCRIPT language=JavaScript>

function copycode() {
  var tempval=eval("document.all.code");
  tempval.focus();
  tempval.select();
  therange=tempval.createTextRange();
  therange.execCommand("Copy");
  alert("\n网址已经拷贝到你的剪贴板上了！\n\n请按Ctrl+V将其粘贴发给你的朋友。");
}

</SCRIPT>

<META content="MSHTML 6.00.2800.1555" name=GENERATOR></HEAD>
<BODY><!--Top start-->
<DIV id=top>
<DIV id=logo><A href="QQ_index.jsp"><IMG alt=小圈子 
src="img/my_logo.gif"></A></DIV>
<DIV id=banner><!--广告位置--></DIV>
<H1><A href="<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%>"><%=rs_a("f_name")%></A></H1>
<H2></H2>
<H3><A href="<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%>">告诉朋友</A> <A 
href="QQ_search.jsp">搜索小圈子</A> <A 
href="login.jsp"><IMG 
src="img/my_logbot.gif"></A> </H3></DIV><!--Top end--><!--Nav start-->
<DIV id=nav>
<%if m_username=rs_a("f_manage_username") then%><b><a href="#"><span OnClick="SenFe_Code(this,SenFe_8);">+管理</span></a></b><%end if%>
<A href="club_viewsub.jsp?id=<%=rs_a("f_id")%>">首页</A> | <A 
href="QQ_clubploy.jsp?id=<%=rs_a("f_id")%>">活动</A> | <A 
href="club_photolist.jsp?id=<%=rs_a("f_id")%>">相册</A> | <A 
href="club_usersub.jsp?id=<%=rs_a("f_id")%>">成员</A></DIV>
<div id="SenFe_8" style="display:none;">
&nbsp;&nbsp;[<a href="club_editsub.jsp?id=<%=rs_a("f_id")%>">小圈子设定</a>]&nbsp;&nbsp;[<a href="club_usermanage.jsp?id=<%=rs_a("f_id")%>">会员管理</a>]&nbsp;&nbsp;[<a href="club_meetmanage.jsp?id=<%=rs_a("f_id")%>">活动管理</a>]&nbsp;&nbsp;[<a href="club_photomanage.jsp?id=<%=rs_a("f_id")%>">照片管理</a>]&nbsp;&nbsp;[<a href="club_boardmanage.jsp?id=<%=rs_a("f_id")%>">公告管理</a>]
</div> <!--Nav end--><!--Contain start-->
<DIV id=contain>
<ADDRESS>小圈子地址:<INPUT id=code 
style="FONT: 9pt Arial; WIDTH: 370px; COLOR: #004897; BORDER-TOP-STYLE: none; BORDER-RIGHT-STYLE: none; BORDER-LEFT-STYLE: none; BACKGROUND-COLOR: #edffff; BORDER-BOTTOM-STYLE: none" 
value=<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%> name=code><A 
style="CURSOR: pointer" onclick=copycode()>复制</A> | <A 
href="javascript:window.external.addFavorite('<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%>','小圈子');">收藏</A></ADDRESS><!--资料 start-->
<DIV class=rim>
<H2><B onclick=SenFe_Code(this,SenFe_3); href="#">－</B> 发起活动</H2>
<DIV id=SenFe_3 style="DISPLAY: block">
<DIV id=grouppost>
 <%
					dim PerPage
					set rs_c=server.createobject("adodb.recordset")
					if rs_a("f_manage_username")=m_username then
					sql_c="select * from t_club_meet where f_club_id="&rs_a("f_id")&" order by f_regtime desc"
					else
					sql_c="select * from t_club_meet where f_club_id="&rs_a("f_id")&" and f_username='"&m_username&"' order by f_regtime desc"
					end if
					rs_c.open sql_c,conn,1,1
					'flag="尚未处理"
                    PerPage=10
				
                   '假如没有数据时
                 ' If rs_c.eof and rs_c.bof then
                  ' response.write "<p align='center'><font color='#ff0000'>还没任何新闻</font></p>"
                 ' response.end
                 ' End if
					'取得页数,并判断用户输入的是否数字类型的数据，如不是将以第一页显示
                    text="0123456789"
                    Rs_c.PageSize=PerPage
					
                    for i=1 to len(request("page"))
                    checkpage=instr(1,text,mid(request("page"),i,1))
                    if checkpage=0 then
                    exit for
                    end if
                    next

                  If checkpage<>0 then
                  If NOT IsEmpty(request("page")) Then
                  CurrentPage=Cint(request("page"))
                  If CurrentPage < 1 Then CurrentPage = 1
                  If CurrentPage > Rs_c.PageCount Then CurrentPage = Rs_c.PageCount
                  Else
                  CurrentPage= 1
                  End If
                 If not Rs_c.eof Then Rs_c.AbsolutePage = CurrentPage end if
                 Else
                 CurrentPage=1
                 End if					
				%>
<H3 align=right><% if rs_a("f_manage_username")<>m_username then %>[<%=m_username%>]会员 (<font color="#FF0000">您</font>)向<% end if %>
      本子俱乐部总共发布 <FONT 
      color=#ff0000><B><%=Cstr(rs_c.RecordCount)%></B></FONT> 个活动, 共 <FONT color=#ff0000><B><%=Cstr(rs_c.pagecount)%></B></FONT> 
      页，每页 <FONT color=#ff0000><B><%=PerPage%></B></FONT> 个</H3>
<DL>
  <DT>
  <P class=post3></P>
  <P class=post4>活动名称</P>
  <P class=post2>发布时间</P>
  <% if rs_a("f_manage_username")=m_username then %>
  <P class=post8>发布会员</P>
  <% end if %>
  <P class=post9>审核状态</P>
  <P class=post10>操作</P></DT>
    <form name="Del" method="Post">
          <%
if not rs_c.eof then
i=0
do while not rs_c.eof
%>
  <DD class=dd1>
  <P class=post3><input name='ArticleID' type='checkbox' id="ArticleID" value="<%=rs_c("f_id")%>"></P>
  <P class=post4>&nbsp;<a href="club_lookmeet.jsp?id=<%=rs_a("f_id")%>&meetid=<%=rs_c("f_id")%>" target=_blank><u> 
              <% if len(rs_c("f_title"))>20 then %>
                <%=left(rs_c("f_title"),20)%>... 
                <% else %>
                <%=rs_c("f_title")%> 
                <% end if %>
              </U></A></P>
  <P class=post2><%=datevalue(rs_c("f_regtime"))%></P>
  <% if rs_a("f_manage_username")=m_username then %>
  <P class=post8><A 
            href="club_member.jsp?username=<%=rs_c("f_username")%>" 
            target=_blank><U><%=rs_c("f_username")%></U></A> <% if rs_user("f_grade")=1 then%> <IMG src="Images/nbcard.gif" width="23" height="10" hspace="2" border=0 
            align=absMiddle title=运城聚宝卡会员> <% end if %></P><% end if %>
  <P class=post9><% if rs_c("f_ischeck")=true then%>
              通过审核 
              <%else %> <font color="#FF0000">等待审核</font> <% end if %> </P>
  <P class=post10><input type="button" name="Submit" value="修改" onClick="javascript:location.href='club_meetmanageedit.jsp?p_id=<%=rs_c("f_id")%>&id=<%=rs_a("f_id")%>'">  </P></DD>
 
   <%
i=i+1
if i >= Perpage then exit do
rs_c.movenext
loop
end if
%></DL>
<P align=center><input type="button" name="Submit2" value="删除活动" onClick="formsub(1)"> 
              <input name="id" type="hidden" id="id" value="<%=rs_a("f_id")%>"> </P>
<DIV class=page><% If currentpage > 1 Then  %> &nbsp;<a href='club_meetmanage.jsp?id=<%=rs_a("f_id")%>&page=<%=cstr(1)%>'><SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">9</SPAN></a> 
              &nbsp;<a href='club_meetmanage.jsp?id=<%=rs_a("f_id")%>&page=<%=Cstr(currentpage-1)%>'><SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">7</SPAN></a> 
              &nbsp; <% Else  %> &nbsp;<SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">9</SPAN> 
              &nbsp;<SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">7</SPAN> 
              <% end if %> <%
			  if rs_c.pagecount>8 then
			  n_star=currentpage
			  n_end=currentpage+7
			  else
			  n_star=1
			  n_end=rs_c.pagecount			  
			  end if
			   FOR n=n_star to n_end 
			   if n>rs_c.pagecount then  exit for  end if
			   %> &nbsp;<a href='club_meetmanage.jsp?id=<%=rs_a("f_id")%>&page=<%=n%>'><FONT color=#ff0000><B><%=n%></B></FONT></a>
			   <%
			  next
			 %> <% If currentpage < Rs_c.PageCount Then %> &nbsp;<a href='club_meetmanage.jsp?id=<%=rs_a("f_id")%>&page=<%=Cstr(currentPage+1)%>'><SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">8</SPAN></a> 
              &nbsp;<a href='club_meetmanage.jsp?id=<%=rs_a("f_id")%>&page=<%=Cstr(Rs_c.PageCount)%>'><SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">:</SPAN></a> 
              <% else %> &nbsp;<SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">8</SPAN> 
              &nbsp;<SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">:</SPAN> 
              <% end if %>  </DIV></FORM></DIV>
<DIV id=grouppost>
<FORM name=theform  method="post" action="club_meetmanageadd.jsp">
<DL>
  <DD>
  <P class=post5>活动发起人：</P>
  <P class=post6><%=m_username%></P></DD>
  <DD class=dd1>
  <P class=post5>标题：</P>
  <P class=post6><INPUT id=name name=name></P></DD>
  <DD>
  <P class=post5>活动类别：</P>
  <P class=post6><INPUT type=radio value=1 checked="checked" name=class>商务活动 <INPUT type=radio 
  value=2 name=class>游山玩水 <INPUT type=radio value=3 name=class>秘密活动 </P></DD>
  <DD class=dd1>
  <P class=post5>活动开始时间：</P>
  <P class=post6> <SELECT 
            style="WIDTH: 115px; BACKGROUND-COLOR: #ffffff" name=meettime1>
                  <OPTION value=<%=date()%> selected><%=year(date())%>年<%=month(date())%>月<%=day(date())%>日</OPTION>
				  <%
				  for n=1 to 90
				  %>
				  <OPTION value=<%=datevalue(DateAdd("d",n,date()))%>><%=year(datevalue(DateAdd("d",n,date())))%>年<%=month(datevalue(DateAdd("d",n,date())))%>月<%=day(datevalue(DateAdd("d",n,date())))%>日</OPTION>
				  <%
				  next
				  %>        
                </SELECT>
                <SELECT 
            style="WIDTH: 52px; BACKGROUND-COLOR: #ffffff" name=meettime2>
			  <%
				  for n=0 to 23
				  %>
                  <OPTION value="<%=n%>" <% if hour(now())=n then%> selected<% end if %>><%=n%>时</OPTION>
				  <%
				  next
				  %>             
                </SELECT>
                <SELECT 
            style="WIDTH: 50px; BACKGROUND-COLOR: #ffffff" name=meettime3>
             <%
				  for n=0 to 59
				  %>
                  <OPTION value="<%=n%>" <% if Minute(now())=n then%> selected<% end if %>><%=n%>分</OPTION>
				  <%
				  next
				  %>
                  </SELECT> </P></DD>
				  
				  
				    <DD class=dd1>
  <P class=post5>活动结束时间：</P>
  <P class=post6> <SELECT 
            style="WIDTH: 115px; BACKGROUND-COLOR: #ffffff" name=meetendtime1>
                  <OPTION value=<%=date()%> selected><%=year(date())%>年<%=month(date())%>月<%=day(date())%>日</OPTION>
				  <%
				  for n=1 to 90
				  %>
				  <OPTION value=<%=datevalue(DateAdd("d",n,date()))%>><%=year(datevalue(DateAdd("d",n,date())))%>年<%=month(datevalue(DateAdd("d",n,date())))%>月<%=day(datevalue(DateAdd("d",n,date())))%>日</OPTION>
				  <%
				  next
				  %>        
                </SELECT>
                <SELECT 
            style="WIDTH: 52px; BACKGROUND-COLOR: #ffffff" name=meetendtime2>
			  <%
				  for n=0 to 23
				  %>
                  <OPTION value="<%=n%>" <% if hour(now())=n then%> selected<% end if %>><%=n%>时</OPTION>
				  <%
				  next
				  %>             
                </SELECT>
                <SELECT 
            style="WIDTH: 50px; BACKGROUND-COLOR: #ffffff" name=meetendtime3>
             <%
				  for n=0 to 59
				  %>
                  <OPTION value="<%=n%>" <% if Minute(now())=n then%> selected<% end if %>><%=n%>分</OPTION>
				  <%
				  next
				  %>
                  </SELECT> </P></DD>
 
  <DD>
  <P class=post5>活动人数：</P>
  <P class=post6><SELECT 
            style="WIDTH: 60px; BACKGROUND-COLOR: #ffffff" name=count>
			  <OPTION value=100>100人</OPTION>
			  <% for n=5 to 200 %>
                  <OPTION value=<%=n%>><%=n%>人</OPTION>
		    <% next %>          
                </SELECT></P></DD>
  <DD class=dd1>
  <P class=post5>活动地区：</P>
  <P class=post6><select 
      name=area id="area" style="BACKGROUND-COLOR: #ffffff; WIDTH: 170px">
	  <option value=市区>市区</option>
                            <option value=新罗区>新罗区</option>
                            <option value=漳平市>漳平市</option>
                            <option value=永定县>永定县</option>
							<option value=上杭县>上杭县</option> 
						    <option value=武平县>武平县</option> 
						    <option value=连城县>连城县</option> 
							<option value=长汀县>长汀县</option>
							<option value=其它市>其它市</option>
                   <option 
        value=其他>其他</option>
                </select>
   </P></DD>
  <DD>
  <P class=post5>活动地点：</P>
  <P class=post6><INPUT size=40 name=address></P></DD>
  <DD class=dd1>
  <P class=post5>联系方式：</P>
  <P class=post6><INPUT size=40 name=contact></P></DD>
  <DD>
  <P class=post5>消费方式：</P>
  <P class=post6><INPUT size=8 name=price> 例：AA制/人</P></DD>
  <DD class=dd1 style="HEIGHT: 130px">
  <P class=post5>详细介绍：</P>
  <P 
  class=post6><TEXTAREA id=content name=content rows=8 cols=60></TEXTAREA></P></DD>
  <DD>
  <P class=post5></P>
  <P class=post6><INPUT type=submit value=提交 name=submit> <INPUT type=submit value=取消 name=submit><input name="id" type="hidden" id="id" value="<%=rs_a("f_id")%>">
                <input name="a_type" type="hidden" id="a_type" value="add"> 
</P></DD></DL></FORM></DIV></DIV></DIV><!--帖子 end--></DIV><!--Contain end-->
<DIV id=footer><A class=list href="../about/?Para=Intro" target=_blank>关于我们</A> ┊ <A class=list href="../about/?Para=Contact" target=_blank>联系方式</A> ┊ <A class=list href="../about/?Para=Job" target=_blank>招贤纳士</A> ┊ <A class=list href="../about/?Para=AdService" target=_blank>广告服务</A> ┊ <A class=list href="../about/?Para=Cooperate" target=_blank>合作伙伴</A> ┊ <A class=list href="../so/Suggestion.jsp" target=_blank> 留言/投诉</A> ┊ <A class=list href="../about/?Para=Job" target=_blank></A><BR><%=Site_info(5)%></DIV></BODY></HTML>
